Bug 161025 - Info and Location field entries in /etc/cups/printers.conf
Info and Location field entries in /etc/cups/printers.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-printer (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-19 19:59 EDT by Patrick C. F. Ernzer
Modified: 2008-08-19 09:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-19 09:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2005-06-19 19:59:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/312.1 (KHTML, like Gecko) Safari/312

Description of problem:
When using system-config-printer to generate printer queue that are shared, all works well until one 
wants to use such a queue in Mac OS X.

OS X picks up the queues allright, but they are all labelled "Created by redhat-config-printer 0.6.x"

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116-1

How reproducible:
Always

Steps to Reproduce:
1. use s-c-printer to define one or more queues
2. make sure the queues are shared queues
3. select 'File/Print' on a Mac OS X 10.3.9 machine
4. drop down 'Printer/Shared Printers' 
  

Actual Results:  every queue is named "Created by redhat-config-printer 0.6.x"

Expected Results:  The text I enter into the "Short Description Field" in sw-c-printer should end up as the printer name in 
the MAC OS X dialog

Additional info:

for this to happen I guess we need to populate /etc/cups/printers.conf with correct "Info" and 
"Location" fields.

I'm pretty sure it is meant so that "Info" is populated by a human readable name (i.e. the contents of the 
"Short Description Field" in sw-c-printer

Whatsmore, it would be nice if s-c-printer also offered to populate the "Location" field for those OSes 
that can parse the field.

When using the web interface on :631 on an older RHEL release (selfbuild package), I got what I 
expected:
  [...]
  <DefaultPrinter plw320>
  Info Apple Personal LaserWriter 320
  Location Mission Control
  [...]
  </Printer>
  <Printer plw320m>
  Info Apple Personal LaserWriter 320 manual
  Location Mission Control
[...]
and consequently two entries in the Mac OS X printer dialog
Comment 1 Patrick C. F. Ernzer 2005-06-19 22:11:51 EDT
for completeness-sake, I have configured the printers now with the web interface of cups-1.1.22
-0.rc1.9.6. As expected, the result is the same as on the older RHEL release (selfbuild package)
Comment 2 Tim Waugh 2005-06-20 04:19:37 EDT
Same as bug #117943.  This is not an easy fix, and requires storing some
information that had been in the XML configuration file elsewhere.
Comment 3 Patrick C. F. Ernzer 2008-08-19 09:53:00 EDT
system-config-printer-0.7.82.5-1.fc9.i386 does not seem to exhibit this bug any longer. Info and Location are populated as expected. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.